use telers::{
    enums::parse_mode::ParseMode,
    event::{telegram::HandlerResult, EventReturn},
    types::Message,
    Bot,
};

use crate::{assets::files::HELP_COMMAND_TEXT, types::structs::message_sender::MessageSender};

pub async fn help(bot: Bot, message: Message) -> HandlerResult {
    MessageSender::builder(message.chat().id())
        .text(HELP_COMMAND_TEXT)
        .parse_mode(ParseMode::HTML)
        .build()
        .send(&bot)
        .await
        .unwrap();
    Ok(EventReturn::Finish)
}
