use chrono::NaiveDateTime;
use telers::{errors::session::ErrorKind, methods::*, types::ChatPermissions, Bot};

#[inline]
pub async fn restrict(
    bot: &Bot,
    user_id: i64,
    duration: NaiveDateTime,
    chat_id: i64,
) -> Result<bool, ErrorKind> {
    bot.send(
        restrict_chat_member::RestrictChatMember::new(
            chat_id,
            user_id,
            ChatPermissions::new()
                .can_send_photos(false)
                .can_send_polls(false)
                .can_send_audios(false)
                .can_send_videos(false)
                .can_change_info(false)
                .can_invite_users(false)
                .can_send_other_messages(false)
                .can_pin_messages(false)
                .can_send_messages(false)
                .can_send_voice_notes(false)
                .can_send_video_notes(false)
                .can_send_documents(false)
                .can_manage_topics(false),
        )
        .until_date(duration.and_utc().timestamp()),
    )
    .await
}
